TestNs\MyApp\ProvisionedAmountsType:
    properties:
        total:
            -
                NotNull:
                    groups:
                        - xsd_rules
        gratuityBasisType:
            -
                Choice:
                    choices:
                        - BASE_AND_EXTRA_SALARY
                        - BASE_SALARY
                        - GROSS_SALARY
                    groups:
                        - xsd_rules
            -
                NotNull:
                    groups:
                        - xsd_rules
        gratuityRate:
            -
                NotNull:
                    groups:
                        - xsd_rules
        amount:
            -
                NotNull:
                    groups:
                        - xsd_rules
